/***************************************************************************
 *   Copyright (C) 2004-2005 by Alexander Saal                                  *
 *   alex.saal@gmx.de                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef DOSBOXFE_DOWNLOAD_H
#define DOSBOXFE_DOWNLOAD_H

#include "dbfe_downloaddlg.h"

class DosBoxFE_Download : public DBFE_DownloadDlg
  {
    Q_OBJECT

  public:
    DosBoxFE_Download(QWidget* parent = 0, const char* name = 0, bool modal = TRUE, WFlags fl = 0 );
    ~DosBoxFE_Download();
    /*$PUBLIC_FUNCTIONS$*/

  public slots:
    /*$PUBLIC_SLOTS$*/
    virtual void          slot_Load_GameList();
    virtual void          slot_Download_Games();

  protected:
    /*$PROTECTED_FUNCTIONS$*/

  protected slots:
    /*$PROTECTED_SLOTS$*/

  };

#endif
