/***************************************************************************
 *   Copyright (C) 2004-2005 by Alexander Saal                             *
 *   alex.saal@gmx.de                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef DOXBOXFE_WIZARD_H
#define DOXBOXFE_WIZARD_H

#include "dbfe_sgamewizard.h"

class DoxBoxFE_Wizard : public DBFE_Wizard
  {
    Q_OBJECT

  public:
    DoxBoxFE_Wizard(QWidget* parent = 0, const char* name = 0, bool modal = TRUE, WFlags fl = 0 );
    ~DoxBoxFE_Wizard();   

  public slots:

    void slot_SaveConfig();
    void slot_Search();
    void slot_ChooseGameDir();
    void slot_ReadSearch_Out();
    void searchGameFile( QString dirName );

  protected:

  protected slots:

  };

#endif
